be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

## Class AdmissionViewType

- java.lang.Object
- - be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.AdmissionViewType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class AdmissionViewType
      extends Object
      implements Serializable

  Volledig beeld van de opname als notificatie

  Java class for AdmissionViewType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AdmissionViewType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="AcceptedAdmission" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}AcceptedAdmissionType"/>
               <element name="BedPeriodList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}NotifyBedPeriodListType"/>
               <element name="TemporaryAbsenceList" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}NotifyTemporaryAbsenceListType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdmissionViewType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AcceptedAdmissionType` | `getAcceptedAdmission()` Gets the value of the acceptedAdmission property.
    `NotifyBedPeriodListType` | `getBedPeriodList()` Gets the value of the bedPeriodList property.
    `NotifyTemporaryAbsenceListType` | `getTemporaryAbsenceList()` Gets the value of the temporaryAbsenceList property.
    `void` | `setAcceptedAdmission(AcceptedAdmissionType value)` Sets the value of the acceptedAdmission property.
    `void` | `setBedPeriodList(NotifyBedPeriodListType value)` Sets the value of the bedPeriodList property.
    `void` | `setTemporaryAbsenceList(NotifyTemporaryAbsenceListType value)` Sets the value of the temporaryAbsenceList property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdmissionViewType

          public AdmissionViewType()

  - ### Method Detail

    - #### getAcceptedAdmission

          public AcceptedAdmissionType getAcceptedAdmission()

      Gets the value of the acceptedAdmission property.
      Returns:
        possible object is `AcceptedAdmissionType`

    - #### setAcceptedAdmission

          public void setAcceptedAdmission(AcceptedAdmissionType value)

      Sets the value of the acceptedAdmission property.
      Parameters:
        `value` - allowed object is `AcceptedAdmissionType`

    - #### getBedPeriodList

          public NotifyBedPeriodListType getBedPeriodList()

      Gets the value of the bedPeriodList property.
      Returns:
        possible object is `NotifyBedPeriodListType`

    - #### setBedPeriodList

          public void setBedPeriodList(NotifyBedPeriodListType value)

      Sets the value of the bedPeriodList property.
      Parameters:
        `value` - allowed object is `NotifyBedPeriodListType`

    - #### getTemporaryAbsenceList

          public NotifyTemporaryAbsenceListType getTemporaryAbsenceList()

      Gets the value of the temporaryAbsenceList property.
      Returns:
        possible object is `NotifyTemporaryAbsenceListType`

    - #### setTemporaryAbsenceList

          public void setTemporaryAbsenceList(NotifyTemporaryAbsenceListType value)

      Sets the value of the temporaryAbsenceList property.
      Parameters:
        `value` - allowed object is `NotifyTemporaryAbsenceListType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.